{% extends "_base.html" %} {% block content %}
<div class="book-detail">
  <h1 class="book-title">{{ book_data.title }}</h1>
  <h2 class="book-author">by {{ book_data.author }}</h2>
  <p class="book-published-date">
    Published on {{ book_data.published_date.strftime('%Y-%m-%d') }}
  </p>

  <div class="book-image">
    {% if image_data %}
    <img src="data:image/jpeg;base64,{{ image_data|safe }}" alt="Book image" />
    {% endif %}
  </div>

  <div class="book-description">
    <h3>Description</h3>
    <p>{{ book_data.description }}</p>
  </div>
</div>
{% endblock %}
